#version 430 core


layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BloomColor;

in vec2 texCoords;

uniform sampler2D screenTexture;
uniform sampler2D blurTexture;

void main() {	
	vec3 fragment = texture(screenTexture, texCoords).rgb;
	vec3 bloom = texture(blurTexture, texCoords).rgb;

	vec3 combined = fragment + bloom;

	FragColor = vec4(combined, 1.0f);
}

