#version 430 core

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;


layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BloomColor;

uniform sampler2D videoTexture;

uniform vec3 camera_world;

uniform vec3 materialCoefficients; // x = ambient, y = diffuse, z = specular 
uniform float specularAlpha;

uniform float metalic;
uniform float roughness;

uniform struct DirectionalLight {
	vec3 color;
	vec3 direction;
} dirL;

uniform struct PointLight {
	vec3 color;
	vec3 position;
	vec3 attenuation;
} pointL;

void main() {	
	vec2 uvCoord = vec2(vert.uv.x, vert.uv.y);
	vec4 texColor = texture(videoTexture, uvCoord);
	FragColor = texColor;

	float brightness = dot(FragColor.rgb, vec3(0.2126f, 0.7152f, 0.0722f));
	BloomColor = vec4(0.0f,1.0f,0.2f,1.0f);
	if(brightness > 0.35f)
		BloomColor = vec4(0.0f,1.0f,0.2f,1.0f);
	else 
		BloomColor = vec4(0.0f,0.0f,0.0f,0.0f);
}

